Bug 21032

Summary: Refining a search made on a specific index fail
Product: Koha Reporter: Alex Arnaud <alex.arnaud>
Component: Searching - ElasticsearchAssignee: Alex Arnaud <alex.arnaud>
Status: Pushed to Stable --- QA Contact: Jonathan Druart <jonathan.druart>
Severity: major    
Priority: P5 - low CC: fridolin.somers, martin.renvoize, nicolas.legrand, severine.queune, tomascohen
Version: master   
Hardware: All   
OS: All   
Whiteboard:
Change sponsored?: --- Patch complexity: Trivial patch
Bot Control: --- When did the bot last check this:
Who signed the patch off: Text to go in the release notes:
Attachments: Bug 21032 - fix using facet for searches made on specific index
Bug 21032 - fix using facet for searches made on specific index
Bug 21032 - fix using facet for searches made on specific index
Bug 21032: Fix using facet for searches made on specific index

Description Alex Arnaud 2018-07-03 13:43:19 UTC
Try a simple search like (OPAC or staff): title:foo.
Click on a facet: badaboum!
Comment 1 Alex Arnaud 2018-07-03 13:59:35 UTC
Created attachment 76653 [details] [review]
Bug 21032 - fix using facet for searches made on specific index

Test plan:

  - Try a simple search (OPAC or staff) like "title:foo",
  - click on a facet: badaboum!
  - apply this patch,
  - retry
Comment 2 Séverine Queune 2018-07-03 15:30:40 UTC
Thanks for this patch !
It works correctly except when facets end with punctuation.
Status set to 'Failed', sorry Alex :(
Comment 3 Alex Arnaud 2018-07-04 08:53:23 UTC
(In reply to Séverine Queune from comment #2)
> Thanks for this patch !
> It works correctly except when facets end with punctuation.
> Status set to 'Failed', sorry Alex :(

Hello Séverine,

Thanks for testing!

In my opinion, this should be a separate bug.

But i'm not able to reproduce this issue. I have a search result with 2 different facets: "Pakita," and "Pakita". Clicking one or the other, it works and i get the same results for the two.
Comment 4 Séverine Queune 2018-07-12 10:40:34 UTC
Created attachment 76884 [details] [review]
Bug 21032 - fix using facet for searches made on specific index

Test plan:

  - Try a simple search (OPAC or staff) like "title:foo",
  - click on a facet: badaboum!
  - apply this patch,
  - retry

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2018-07-12 10:42:23 UTC
Tested in our 2 different instances (dev and test) and both work !
The problem I mentioned on comment 2 seems to be specific to the sandbox.
Thank you Alex !
Comment 6 Jonathan Druart 2018-07-31 14:50:19 UTC
Created attachment 77332 [details] [review]
Bug 21032 - fix using facet for searches made on specific index

Test plan:

  - Try a simple search (OPAC or staff) like "title:foo",
  - click on a facet: badaboum!
  - apply this patch,
  - retry

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2018-07-31 15:03:19 UTC
Created attachment 77335 [details] [review]
Bug 21032: Fix using facet for searches made on specific index

Test plan:

  - Try a simple search (OPAC or staff) like "title:foo",
  - click on a facet: badaboum!
  - apply this patch,
  - retry

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Tomás Cohen Arazi 2018-07-31 16:13:03 UTC
Pushed to master, thanks!
Comment 9 Martin Renvoize 2018-08-03 14:08:58 UTC
Pushed to 18.05.x for 18.05.03.
Comment 10 Fridolin SOMERS 2018-08-28 13:27:00 UTC
Pushed to 17.11.x for 17.11.09